# galaxy-o2m

Install o2m from Docker hub images

## Requirements

Docker running on the target host

## Role Variables

- o2m_name: name of the o2m instance
- o2m_data: data dir for o2m instances
- o2m_version: pinned version of o2m
- o2m_discord_token: bot token from Discord
- o2m_feed_urls: comma separated list of Podcast RSS feeds to watch
- o2m_nickname: nickname (or display name) for this current bot instance
- o2m_guild_id: guild id for current o2m instance
- o2m_timer: time between each check

## Dependencies

None

## Example Playbook

    - hosts: servers
      roles:
         - { role: galaxy-o2m, o2m_discord_token: XXXXXX, o2m_guild_id: XXXXXX, o2m_feed_urls: https://podcast.example.com/rss, o2m_name: example }
